export interface PaginationMeta {
  currentPage: number;
  itemCount: number;
  itemsPerPage: number;
  totalItems: number;
  totalPages: number;
}

export interface SuccessResponse<T> {
  data: T;
  meta?: PaginationMeta;
}

export interface PaginationResponse<T> {
  data: T[];
  total: number;
}
